# Class GattLocalService

java.lang.Object
com.codename1.bluetooth.le.server.GattLocalService

public class GattLocalService extends Object
A service definition added to this device's `GattServer` via `GattServer.addService(GattLocalService)`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GattLocalService(BluetoothUuid uuid)`
  Creates a primary service definition.
  `GattLocalService(BluetoothUuid uuid, boolean primary)`
  Creates a service definition; `primary` is `false` for secondary services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GattLocalService`
  `addCharacteristic(GattLocalCharacteristic c)`
  Adds a characteristic definition; fluent.
  `List<GattLocalCharacteristic>`
  `getCharacteristics()`
  The characteristic definitions added via `addCharacteristic(GattLocalCharacteristic)`.
  `BluetoothUuid`
  `getUuid()`
  The UUID identifying this service.
  `boolean`
  `isPrimary()`
  `true` for a primary service.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GattLocalService

    public GattLocalService(BluetoothUuid uuid)
    Creates a primary service definition.

  - ### GattLocalService

    public GattLocalService(BluetoothUuid uuid, boolean primary)
    Creates a service definition; `primary` is `false` for secondary services.

- ## Method Details

  - ### addCharacteristic

    public GattLocalService addCharacteristic(GattLocalCharacteristic c)
    Adds a characteristic definition; fluent.

  - ### getUuid

    public BluetoothUuid getUuid()
    The UUID identifying this service.

  - ### isPrimary

    public boolean isPrimary()
    `true` for a primary service.

  - ### getCharacteristics

    public List<GattLocalCharacteristic> getCharacteristics()
    The characteristic definitions added via `addCharacteristic(GattLocalCharacteristic)`.

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`